<div class="card card-primary" style="margin: -16px">
  <div class="card-header">
    <h3 class="card-title">Change Profil Picture</h3>
  </div>
  <!-- /.card-header -->
  <div class="card-body">
    <div class="container row">
     <div class="input-group" style="margin-top: 10px">
       <div hidden class="dropzone justify-content-lg-end" style="margin-left: 171.5px">
         <img src="http://100dayscss.com/codepen/upload.svg" class="upload-icon" />
         <input type="file" class="upload-input custom-file-input" />
       </div>


     </div>

      <div class="input-group" style="margin-top: 10px">
        <div class="custom-file">
          <input type="file" class="custom-file-input" (change)="onFileChanged($event)">
          <label class="custom-file-label" *ngIf="selected">{{selectedFile.name}}</label>
          <label class="custom-file-label" *ngIf="!selected">Choose a picture</label>


        </div>
        <div  (click)="onUpload()" class="input-group-append">
          <span class="input-group-text" id="">Upload</span>
        </div>
<!--        <img  [src]="imgURL" height="200" *ngIf="imgURL">-->
      </div>

      <div  class="input-group" *ngIf=selected style="margin-top: 10px">
        <div class="row" style="margin-top: 15px;">
          <div class="text-center col-md-8">
            <h5>Crop Image</h5>
            <image-cropper
              [imageChangedEvent]="imageChangedEvent"
              [maintainAspectRatio]="true"
              [aspectRatio]="1/ 1"
              [resizeToWidth]="100"
              format="png"
              (imageCropped)="imageCropped($event)"
              (imageLoaded)="imageLoaded()"
              (cropperReady)="cropperReady()"
              (loadImageFailed)="loadImageFailed()"></image-cropper>
          </div>
          <div class="text-center col-md-4">
            <h5>Preview</h5>
            <img [src]="croppedImage" />
          </div>
        </div>
      </div>


      <div class="input-group" *ngIf=message style="margin-top: 10px">
      <div class="alert alert-primary" *ngIf=message role="alert">
        {{message}}
      </div>
      </div>
<!--      <div class="custom-file col-md-6">-->
<!--        <input type="file" (change)="onFileChanged($event)">-->
<!--      </div>-->

<!--      <div class="col-md-6">-->
<!--        <input type="button" (click)="onUpload()" value="upload">-->
<!--      </div>-->
    </div>
<!--    <hr />-->
<!--    <div class="container row">-->
<!--      <div class="col-md-12">-->
<!--        <div class="alert alert-primary" *ngIf=message role="alert">-->
<!--          {{message}}-->
<!--        </div>-->
<!--&lt;!&ndash;        <div *ngIf=message>{{message}}</div>&ndash;&gt;-->
<!--      </div>-->
<!--    </div>-->
  </div>
  <!-- /.card-body -->
</div>






<!--<div class="container row">-->
<!--  <div class="col-md-12">-->
<!--    <h1>Upload Image</h1>-->
<!--  </div>-->
<!--</div>-->
<!--<div class="input-group col-md-6">-->
<!--  <div class="custom-file">-->
<!--    <input type="file" class="custom-file-input" (change)="onFileChanged($event)">-->
<!--    <label class="custom-file-label" ><img [src]="imgURL" height="200" *ngIf="imgURL"></label>-->
<!--  </div>-->
<!--  <div class="input-group-append">-->
<!--    <span class="input-group-text" (click)="onUpload()" id="">Upload</span>-->
<!--  </div>-->
<!--</div>-->





<!--<div class="container row">-->
<!--  <div class="col-md-6">-->
<!--    <input type="text" class="form-control" id="name" placeholder="image name" [(ngModel)]="imageName"-->
<!--           name="name" />-->
<!--  </div>-->
<!--  <div class="col-md-6">-->
<!--    <input type="button" (click)="getImage()" value="Get Image">-->

<!--  </div>-->
<!--</div>-->

<!--<div class="container row">-->
<!--  <div class="col-md-12">-->
<!--    <div *ngIf=retrievedImage>-->
<!--      <img [src]="retrievedImage" width="20%" height="20%">-->
<!--    </div>-->
<!--  </div>-->
<!--</div>-->



<!--<div class="card ">-->
<!--  <div class="center">-->
<!--    <div class="title">-->
<!--      <h1>Drop file to upload</h1>-->
<!--    </div>-->

<!--    <div class="dropzone">-->
<!--      <img src="http://100dayscss.com/codepen/upload.svg" class="upload-icon" />-->
<!--      <input type="file" class="upload-input" />-->
<!--    </div>-->

<!--    <button type="button" class="btn" name="uploadbutton">Upload file</button>-->

<!--  </div>-->
<!--</div>-->
<!-- original pen: https://codepen.io/roydigerhund/pen/ZQdbeN  -->

<!-- NO JS ADDED YET -->
